
QGIS Application - Bug report #13249

scale item corrupted upon restoration of composer on project load (included)

2015-08-20 11:54 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21310

Description

Steps to reproduce

    1. Load the attached project (Zoom-Layout.qgs)

    2. Open either of the project's two composers 

    3. You'll notice the zoom level of the composer sheet is abnormally low

    4. Zoom it by quite  a lot to reach a normal zoom level

    5. Notice the scale bar is gone crazy; playing with the settings also broken / corrupted

History

#1 - 2015-08-21 06:16 AM - Nathan Woodrow

Confirmed here.  Looks pretty busted to me.

#2 - 2015-09-29 05:50 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

Zoom-Layout.qgs 569 KB 2015-08-20 Mathieu Pellerin - nIRV
